Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(330)

Unified Diff: src/overlays/overlay-beagleboard/sys-boot/u-boot/u-boot-2009.11.ebuild

Issue 661216: Move public board overlays to the chromeos repository. (Closed)
Patch Set: Created 10 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: src/overlays/overlay-beagleboard/sys-boot/u-boot/u-boot-2009.11.ebuild
diff --git a/src/overlays/overlay-beagleboard/sys-boot/u-boot/u-boot-2009.11.ebuild b/src/overlays/overlay-beagleboard/sys-boot/u-boot/u-boot-2009.11.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..a0d44ace966cbf729b6506047321919effcbcac3
--- /dev/null
+++ b/src/overlays/overlay-beagleboard/sys-boot/u-boot/u-boot-2009.11.ebuild
@@ -0,0 +1,57 @@
+# Copyright (c) 2009 The Chromium OS Authors. All rights reserved.
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=2
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Das U-Boot boot loader"
+HOMEPAGE="http://www.denx.de/wiki/U-Boot"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="arm"
+IUSE="fastboot"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+u_boot=${CHROMEOS_U_BOOT:-"u-boot/files"}
+config=${CHROMEOS_U_BOOT_CONFIG:-"omap3_beagle_config"}
+files="${CHROMEOS_ROOT}/src/third_party/${u_boot}"
+
+src_unpack() {
+ elog "Using U-Boot files: ${files}"
+
+ mkdir -p "${S}"
+ cp -a "${files}"/* "${S}" || die "U-Boot copy failed"
+}
+
+src_prepare() {
+ if use fastboot ; then
+ epatch "${FILESDIR}/${P}-fastboot.patch"
+ fi
+}
+
+
+src_configure() {
+ elog "Using U-Boot config: ${config}"
+
+ emake \
+ ARCH=$(tc-arch-kernel) \
+ CROSS_COMPILE="${CHOST}-" \
+ USE_PRIVATE_LIBGCC=yes \
+ ${config} || die "U-Boot configuration failed"
+}
+
+src_compile() {
+ emake \
+ ARCH=$(tc-arch-kernel) \
+ CROSS_COMPILE="${CHOST}-" \
+ USE_PRIVATE_LIBGCC=yes \
+ all || die "U-Boot compile failed"
+}
+
+src_install() {
+ dodir /boot
+ cp -a "${S}"/u-boot.bin "${D}"/boot/ || die
+}

Powered by Google App Engine
This is Rietveld 408576698